Subject: Re: linux-next: manual merge of the vfs tree with the m68k tree

From: Geert Uytterhoeven <[email-masked]>
Date: Mon, 27 Jan 2020 22:39:26 +0100

Hi Stephen,

On Mon, Jan 27, 2020 at 9:49 PM Stephen Rothwell <[email-masked]> wrote:
> On Mon, 13 Jan 2020 09:50:37 +1100 Stephen Rothwell <[email-masked]> wrote:
> > Today's linux-next merge of the vfs tree got a conflict in:
> >
> >   arch/m68k/kernel/syscalls/syscall.tbl
> >
> > between commit:
> >
> >   e8bb2a2a1d51 ("m68k: Wire up clone3() syscall")
> >
> > from the m68k tree and commit:
> >
> >   0a51692d49ec ("open: introduce openat2(2) syscall")
> >
> > from the vfs tree.
> >
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> >
> > --
> > Cheers,
> > Stephen Rothwell
> >
> > diff --cc arch/m68k/kernel/syscalls/syscall.tbl
> > index a00a5d0db602,2559925f1924..000000000000
> > --- a/arch/m68k/kernel/syscalls/syscall.tbl
> > +++ b/arch/m68k/kernel/syscalls/syscall.tbl
> > @@@ -434,4 -434,5 +434,5 @@@
> >   432 common  fsmount                         sys_fsmount
> >   433 common  fspick                          sys_fspick
> >   434 common  pidfd_open                      sys_pidfd_open
> >  -# 435 reserved for clone3
> >  +435 common  clone3                          __sys_clone3
> > + 437 common  openat2                         sys_openat2
>
> This is now a conflict between the vfs tree and Linus' tree - just a
> reminder for pull requests.

Thanks, I completely forgot about these conflicts.
Fortunately I always send my pull requests early ;-)

Gr{oetje,eeting}s,

                        Geert

-- 
Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]

In personal conversations with technical people, I call myself a hacker. But
when I'm talking to journalists I just say "programmer" or something like that.
                                -- Linus Torvalds